//+------------------------------------------------------------------+
//|                                                        Hedge.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

extern double TakeProfit = 450;
extern double Risk = 0.07;
extern int MAPeriod = 89;
extern int MAPrice = PRICE_OPEN;

double Lotes;

double SMA(int Barra)
{
   double MA = NormalizeDouble(iMA(Symbol(),0,89,0,MODE_EMA,PRICE_OPEN,Barra),4);
   return(MA);
}


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   //Si no es el comienzo de una barra no hace nada.
   if(Volume[0]>1) return;
   
   //No se ejecutan nuevas rdenes en estas horas.
   if(Hour()==4 || Hour()==12 || Hour()==16) return;  

   Lotes = NormalizeDouble(AccountFreeMargin()*(Risk/10000),2);
   
   if(Lotes<0.01) Lotes=0.01;
   
   if(Lotes>0.65) Lotes=0.65;
    
   if(SMA(0)<SMA(1) && Ask<=SMA(0)+120*Point)
   //Si el precio esta por debajo de SMA + 500 PIPS compra, sino vende.
   {
      int TicketBuy = OrderSend(Symbol(),OP_BUY,Lotes,Ask,40,0,Ask+TakeProfit*Point,"",2002,0,CLR_NONE);
   }
   
 //  if(SMA(0)>SMA(1) && Bid>=SMA(0))
   //Si el precio esta por debajo de SMA + 500 PIPS compra, sino vende.
 //  {
 //     int TicketSELL = OrderSend(Symbol(),OP_SELL,Lotes,Bid,40,0,Bid-TakeProfit*Point,"",2002,0,CLR_NONE);
 //  }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+